package com.smith9.geiger.client

import com.smith9.geiger.client.beans.Duration
import com.smith9.geiger.client.beans.Stat
import groovy.xml.MarkupBuilder
import com.smith9.geiger.client.beans.Count
import org.joda.time.DateTime
import org.joda.time.format.ISODateTimeFormat
import org.joda.time.format.DateTimeFormatter

/**
 * Created: 7/03/12
 * @author david
 */
class CountLoaderConverter implements LoaderConverter {
    String toXml(List<Stat> stats) {
        StringWriter writer = new StringWriter()
        new CountConverter().toXml(stats, writer)
        return writer.toString()
    }

    String getLoadMethod() {
        return "counts"
    }
}
